View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000777aMuleExternal Connpublic2006-01-10 10:492008-07-30 16:32
Reporterpcmaster 
Assigned ToKry 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000777: Little spanish translation issues.
DescriptionIn the Options tab (Opciones, in spanish):

The "Archivos" section is correct. I use this as a style guide. In that section, when an options have a radio button or a checkbor, it don't ends whith a : character. When the label has a text box, ends with a : character.

This is correct and must be corrected in some other sections.

Also, in the Connection section, the square lines title, in "Límites" and "Capacidad" is correct, but in "Puerto TCP estándar del cliente:" and "Puerto UDP estándar del cliente:" the : can be erased.


TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files? file icon es.po [^] (180,639 bytes) 2006-01-16 13:31
? file icon es.po [^] (180,859 bytes) 2006-01-17 11:55
? file icon es.po [^] (180,952 bytes) 2006-01-18 00:52
? file icon es.po [^] (180,922 bytes) 2006-01-18 10:47
? file icon es.po [^] (180,917 bytes) 2006-11-06 21:05

- Relationships
related to 0000611resolvedKry Amulegui initial connection dialog box not completely translated 

-  Notes
(0001753)
pcmaster (reporter)
2006-01-10 23:48
edited on: 2006-01-10 23:49

I have revised the file po/es.po, finding this issues:

line 6934: Conecatar -> Conectar
line 6890: "Denied" is can be translated as "denegada"
line 6885: "Accepted" can be translated as "aceptada"
line 6855: Better translation: "Peticiones de cliente no válidas %u". If refers only to 1 request: "Petición de cliente no válida %u"
line 5729: debiado -> debido
line 4661: version -> versión. Better translation: "Se encontró una nueva versión de aMule"
lines 4460/4461: In amulegui menus says 10 sources, and this cause this string is not translated. (if the file has < 20 sources, why don't save all instead of 5 or 10?)
line 4402: IDBaja -> ID Baja
line 2689: Ningun -> Ningún
line 2673: Better translation: "Información del menú de aMule"
line 2647: Limites -> Límites
line 2630: Menu -> Menú
line 2315: clente -> cliente
line 1425: "le" must be removed or changed by "te". In the actual form, is correct, but is "formal", when the rest of the translation are in "familiar" form

About the ":", the translations are ok: if the english has a : at the end, the spanish also has the ":" at the end, and vice-versa. The original english version can be adjusted, and then, if necessary, the translation.

edited on: 01-10-06 23:49
(0001754)
pcmaster (reporter)
2006-01-10 23:55

See bug 611.
(0001787)
Kry (manager)
2006-01-16 12:45

You can download the es.po file, patch it, and post it on spanish forum or here.
(0001793)
pcmaster (reporter)
2006-01-16 13:30

This is the pached es.po file. I patched the file with just the issues detailed in the first note.
(0001800)
pcmaster (reporter)
2006-01-17 12:03

New file version. Issues corrected:

added my nick (pcmaster) and my e.mail address al beginning of file, in last-translator line (added, not deleted the old text) as a corrector.

Some original messages have "hash" translated as "código". I think this is correct and then i modified the other messages in the same way.

In the line 489, "compute" is "crear" like in line 570.

Line 2474 "Resume" can be translated as "Reanudar", not "Resumir"

Other litle issues

Other issues are pending... How i can translate "bootstrap"?
(0001808)
pcmaster (reporter)
2006-01-18 00:50

New file version: translated a message in dialog not translated in previous versions and some other litle issues.
(0001809)
Kry (manager)
2006-01-18 04:02

Up on CVS
(0001810)
Kry (manager)
2006-01-18 04:03

BTW: I don't like "hash" as "codigo". I would keep it as "hash". Same for bootstrap.

C'mon, do you say "El codigo del archivo" or "el hash del archivo"?
(0001811)
pcmaster (reporter)
2006-01-18 10:02

I can change it, but some messages have it translated in this way, for example

Hashing file ->Codificando archivo.

I only have aplied this at all the other messages (i don't like same world translated in diferent form in various messages. I think in this way the translation has a more uniform style.

"Código" i think is correct, a hash is a code that identifies the file.

If you want, i can reverse changes to "hash".
(0001812)
Kry (manager)
2006-01-18 10:11

Yes, I want.

"Hashing -> Codificando" is ok, but a hash is a hash. I would even change "Hashing" to "Calculando hash"
(0001813)
pcmaster (reporter)
2006-01-18 10:49

Bueno, ya lo tienes, ya no hay "código" aunque a mí me gustaba más de la otra forma. :(
(0001814)
Kry (manager)
2006-01-18 11:43

Una de las ventajas de tener control sobre las cosas :P
(0001822)
pcmaster (reporter)
2006-01-23 23:53
edited on: 2006-01-23 23:58

In Preferences->Connection tab the "UDP port for extended server requests (TCP+3): 30003" message is not translated (i have changes the default port in my system).

Seems this is because the string in muuli_wdr.cpp:1835 is translated but not the string in PrefsUnifiedDlg.cpp:1016.

It is solved :) but after adding the line, the message remains in english.

I'm searching why...and find that the two strings in both muuli_wdr.cpp and PrefsUnifiedDlg.cpp have a space after the :

But when in amule and amulegui i open the dialog, after the : is the port number, without spaces... Seems the string is repeated in other location... Where?


Also i have a doubt: in the es.po files each translated string have this syntax:

#: file_translated:line number
msgid "original string"
msgstr "translated string"

But some line numbers don't match the real number line in the file.cpp...
Why?

edited on: 01-23-06 23:54

edited on: 01-23-06 23:58
(0001900)
Kry (manager)
2006-03-21 06:12

Because the file is not rebuilt.
(0001926)
pcmaster (reporter)
2006-03-24 12:56

The es.po file included in 2.1.1 is the 180,952 bytes version, not the last.

You can update it if you want. The diference is the "Código"->"Hash" change.

2.1.1 has one message not translated: the "UDP port for extended server requests (TCP+3):xxxx" in preferences->Connection tab.
(0002020)
pcmaster (reporter)
2006-06-01 20:26

Issues in new 2.1.2 translation:

1- In Options -> Connection the message "UPD port for extended server requests (TCP+3): xxxx" remains untranslated.

2- In Shared files tab, the new column "Share Ratio" don't has the title translated.
(0002140)
pcmaster (reporter)
2006-10-28 21:14

The same 2 issues in 2.1.3.
(0002147)
benjavalero (reporter)
2006-11-06 21:08

I don't know if I have done it well, I am really newbie. I have changed the message amuleDlg.cpp:531, that is the one that appears when pressing the "About" button. The right translation of "XOR metric" is "métrica XOR" and not "metrica XOR". Damn accents ;)

- Issue History
Date Modified Username Field Change
2006-01-10 10:49 pcmaster New Issue
2006-01-10 23:48 pcmaster Note Added: 0001753
2006-01-10 23:49 pcmaster Note Edited: 0001753
2006-01-10 23:55 pcmaster Note Added: 0001754
2006-01-16 12:44 Kry Relationship added related to 0000611
2006-01-16 12:45 Kry Note Added: 0001787
2006-01-16 13:30 pcmaster Note Added: 0001793
2006-01-16 13:31 pcmaster File Added: es.po
2006-01-17 11:55 pcmaster File Added: es.po
2006-01-17 12:03 pcmaster Note Added: 0001800
2006-01-18 00:50 pcmaster Note Added: 0001808
2006-01-18 00:52 pcmaster File Added: es.po
2006-01-18 04:02 Kry Note Added: 0001809
2006-01-18 04:03 Kry Note Added: 0001810
2006-01-18 04:05 Kry Status new => assigned
2006-01-18 04:05 Kry Assigned To => Kry
2006-01-18 04:06 Kry Status assigned => feedback
2006-01-18 10:02 pcmaster Note Added: 0001811
2006-01-18 10:11 Kry Note Added: 0001812
2006-01-18 10:47 pcmaster File Added: es.po
2006-01-18 10:49 pcmaster Note Added: 0001813
2006-01-18 11:43 Kry Note Added: 0001814
2006-01-23 23:53 pcmaster Note Added: 0001822
2006-01-23 23:54 pcmaster Note Edited: 0001822
2006-01-23 23:58 pcmaster Note Edited: 0001822
2006-03-21 06:12 Kry Note Added: 0001900
2006-03-24 12:56 pcmaster Note Added: 0001926
2006-06-01 20:26 pcmaster Note Added: 0002020
2006-10-28 21:14 pcmaster Note Added: 0002140
2006-11-06 21:05 benjavalero File Added: es.po
2006-11-06 21:08 benjavalero Note Added: 0002147
2008-07-30 16:32 Wuischke Status feedback => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker